export declare class FileInfo {
    public fileName: string;
    public version: number;
    public open: boolean;
    public byteOrderMark: TypeScript.ByteOrderMark;
    public snapshot: TypeScript.IScriptSnapshot;
}
export declare class LanguageServiceHostImpl implements TypeScript.Services.ILanguageServiceHost {
    public compilationSettings: TypeScript.CompilationSettings;
    public diagnostics: TypeScript.Services.ILanguageServicesDiagnostics;
    public fileInfos: {
        [fileName: string]: FileInfo;
    };
    public getCompilationSettings(): TypeScript.CompilationSettings;
    public getScriptFileNames(): string[];
    public getScriptVersion(fileName: string): number;
    public getScriptIsOpen(fileName: string): boolean;
    public getScriptByteOrderMark(fileName: string): TypeScript.ByteOrderMark;
    public getScriptSnapshot(fileName: string): TypeScript.IScriptSnapshot;
    public getDiagnosticsObject(): TypeScript.Services.ILanguageServicesDiagnostics;
    public getLocalizedDiagnosticMessages(): any;
    public information(): boolean;
    public debug(): boolean;
    public warning(): boolean;
    public error(): boolean;
    public fatal(): boolean;
    public log(s: string): void;
    public resolveRelativePath(path: string, directory: string): string;
    public fileExists(path: string): boolean;
    public directoryExists(path: string): boolean;
    public getParentDirectory(path: string): string;
    public addFile(file: FileInfo): void;
    public setCompilationSettings(compilationSettings: TypeScript.CompilationSettings): void;
}
